> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xshot.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Results

> New tweets matching a search query. Polls every 15-120 seconds (default 30s).

**Channel name:** `search:tweets`
**Required params:** `query` (Search query, supports Twitter operators)




## AsyncAPI

````yaml asyncapi-spec/websockets.yaml searchTweets
id: searchTweets
title: Search Results
description: |
  New tweets matching a search query. Polls every 15-120 seconds (default 30s).

  **Channel name:** `search:tweets`
  **Required params:** `query` (Search query, supports Twitter operators)
servers:
  - id: production
    protocol: wss
    host: api.xshot.fun
    bindings: []
    variables: []
address: /ws
parameters: []
bindings: []
operations: []
sendOperations: []
receiveOperations: []
sendMessages: []
receiveMessages: []
extensions:
  - id: x-parser-unique-object-id
    value: searchTweets
securitySchemes:
  - id: ApiKeyAuth
    name: api_key
    type: httpApiKey
    description: API key passed as query parameter
    in: query
    extensions: []

````